// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UBehaviorTree.h"
#include "SCW_UObject.h"

class UBehaviorTree;;

namespace Sourcify
{
	class SCW_UBehaviorTree : public SCW_UObject, public virtual ISCW_UBehaviorTree
	{
	public:
		SCW_UBehaviorTree(UBehaviorTree* InBehaviorTree);

		UBehaviorTree* ToUBehaviorTree() const;

		ISCW_UBehaviorTreePtr ToUBehaviorTreePtr() override;
		ISCW_UBehaviorTreeConstPtr ToUBehaviorTreePtr() const override;

	protected:
		UBehaviorTree* BehaviorTree;
	};
} // namespace Sourcify